Thread: ATTN: IRIS-WS Java library users

Started: 2020-05-06 13:02:10
Last activity: 2020-05-06 13:02:10
Topics: Web Services
Robert Weekly
2020-05-06 13:02:10
Hello Web Service users,

If you are using the IRIS-WS Java library outside of the Matlab/irisFetch environment, please read the following notice.

In order to accommodate recent updates to our various web services, we will soon be upgrading the IRIS-WS Java library. One of the primary consequences of this update is that the IRIS-WS Java library will no longer support version 7 of Java (JDK 1.7). Going forward, updates to the library will only be compiled using JDK 1.8 and will be Java 8 compatible.

**PLEASE NOTE**
This update is highly recommended, but not mandatory. If you are running version 2.0.18, which uses JDK 1.7, in your production environment without any issues, you may continue to do so. Again, however, we highly recommend upgrading your system to be compatible with this update.
**

We expect that new version of the IRIS-WS Java library will be released within the next two weeks, so please consider using this time to update your system to ensure a smooth transition and avoid any disruptions to your workflows. A final decision on the exact release date will be announced to this listserve soon.

The most recent version of the IRIS-WS library is available at the following link: http://ds.iris.edu/ds/nodes/dmc/software/downloads/iris-ws/

If you have any questions or concerns about usage of the IRIS-WS Java library, please direct your inquiries to ws-issues<at>iris.washington.edu <ws-issues<at>iris.washington.edu> and we will do our best to address your concerns.

Thank you,
IRIS Web Services
Page built 06:06:22 | v.090361a2